Bug 1059444

Summary: Storage Node installer can incorrectly report port conflict
Product: [JBoss] JBoss Operations Network Reporter: John Sanda <jsanda>
Component: Installer, Storage NodeAssignee: Michael Burman <miburman>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: unspecified    
Version: JON 3.2CC: miburman, myarboro
Target Milestone: DR01   
Target Release: JON 3.3.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-12-11 14:00:47 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description John Sanda 2014-01-29 21:30:40 UTC
Description of problem:
The storage installer checks to see if the JMX, CQL, and gossip ports are already bound and in use by another process. If the installer cannot bind to the address/port, it reports an error that the port is already in use. Recently someone was installing JON 3.2.1 for some testing and the storage installer wound up using his vpn address. The installer was not able to connect to the address/port (for reasons unclear to me), but it was confirmed that the port was not in use. When that check fails the installer should report a warning that it cannot connect the address/port and also include both the address and port in the message. The installer currently specifies only the port. This will help avoid some potential confusion during installation.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Michael Burman 2014-07-15 06:39:30 UTC
Fixed in master

commit 7bb187bed196e752afe6c2bdeafc84595feda4f8
Author: burmanm <miburman@redhat.com>
Date:   Mon Jul 14 18:30:56 2014 +0300

    [BZ 1059444] Add attempted hostname to the port in use error messsage

Comment 2 Simeon Pinder 2014-07-31 15:51:36 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993